## ros-indigo-rqt-tf-tree 0.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_tf_tree)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_tf_tree
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

if (CATKIN_ENABLE_TESTING)
  catkin_add_nosetests(test/dotcode_tf_test.py
     DEPENDENCIES ${${PROJECT_NAME}_EXPORTED_TARGETS})
endif()

=== debian/changelog ===
ros-indigo-rqt-tf-tree (0.6.0-0trusty) trusty; urgency=high

  * [capability] add button for clearing the TF buffer #9 <https://github.com/ros-visualization/rqt_tf_tree/issues/9> from christian-rauch/clear_tf_buffer
  * [maintenance] Integrate an existing testcase upon build by Catkin. #5 <https://github.com/ros-visualization/rqt_tf_tree/issues/5>
  * Contributors: Christian Rauch, Isaac I.Y. Saito, Peter Han

 -- Isaac I.Y. Saito <gm130s@gmail.com>  Sun, 03 Feb 2019 08:00:00 -0000

ros-indigo-rqt-tf-tree (0.5.8-0trusty) trusty; urgency=high

  * [fix] child_frame_id format #6 <https://github.com/ros-visualization/rqt_tf_tree/issues/6>
  * Update maintainer
  * Contributors: Dirk Thomas, Isaac I.Y. Saito, Peter Han

 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 24 Jul 2017 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.5.7-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 27 Apr 2017 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.5.6-0trusty) trusty; urgency=high

  * use Python 3 compatible syntax (#121 <https://github.com/ros-visualization/rqt_robot_plugins/pull/121>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 24 Jan 2017 08:00:00 -0000

ros-indigo-rqt-tf-tree (0.5.5-0trusty) trusty; urgency=high

  * fix tf parent to always convert to string (#113 <https://github.com/ros-visualization/rqt_robot_plugins/pull/113>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 02 Nov 2016 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.5.4-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 19 Sep 2016 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.5.3-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 16 May 2016 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.5.2-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 29 Apr 2016 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.5.1-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 28 Apr 2016 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.5.0-0trusty) trusty; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#101 <https://github.com/ros-visualization/rqt_robot_plugins/pull/101>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 27 Apr 2016 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.4.3-0trusty) trusty; urgency=high

  * use proper icon for images
  * Contributors: Vincent Rabaud

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 08 Mar 2016 08:00:00 -0000

ros-indigo-rqt-tf-tree (0.4.2-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 24 Jul 2015 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.4.1-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 30 Apr 2015 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.4.0-0trusty) trusty; urgency=high

  * update script to use full plugin name

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 05 Nov 2014 08:00:00 -0000

ros-indigo-rqt-tf-tree (0.3.7-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 18 Aug 2014 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.3.6-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jul 2014 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.3.5-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Mon, 02 Jun 2014 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.3.4-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.3.3-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 28 Jan 2014 08:00:00 -0000

ros-indigo-rqt-tf-tree (0.3.2-0trusty) trusty; urgency=high

  * add groups for rqt plugins (ros-visualization/rqt_common_plugins#167 <https://github.com/ros-visualization/rqt_common_plugins/issues/167>)

 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 08 Jan 2014 08:00:00 -0000

ros-indigo-rqt-tf-tree (0.3.1-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 09 Oct 2013 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.3.0-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Wed, 28 Aug 2013 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.2.16-0trusty) trusty; urgency=high

  * First public release into Hydro

 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Jul 2013 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.2.15-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 25 Apr 2013 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.2.14-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 12 Apr 2013 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.2.13-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Tue, 09 Apr 2013 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.2.12-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 07 Apr 2013 01:22:00 -0000

ros-indigo-rqt-tf-tree (0.2.11-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 07 Apr 2013 01:00:00 -0000

ros-indigo-rqt-tf-tree (0.2.10-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 04 Apr 2013 07:00:00 -0000

ros-indigo-rqt-tf-tree (0.2.9-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Thu, 07 Mar 2013 08:00:00 -0000

ros-indigo-rqt-tf-tree (0.2.8-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 11 Jan 2013 08:00:00 -0000

ros-indigo-rqt-tf-tree (0.2.7-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 23 Dec 2012 23:58:00 -0000

ros-indigo-rqt-tf-tree (0.2.6-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sun, 23 Dec 2012 09:57:00 -0000

ros-indigo-rqt-tf-tree (0.2.5-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Sat, 22 Dec 2012 03:11:00 -0000

ros-indigo-rqt-tf-tree (0.2.4-0trusty) trusty; urgency=high



 -- Aaron Blasdel <ablasdel@gmail.com>  Fri, 21 Dec 2012 09:13:00 -0000



=== debian/control ===
Source: ros-indigo-rqt-tf-tree
Section: misc
Priority: extra
Maintainer: Isaac I.Y. Saito <gm130s@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-mock, ros-indigo-catkin
Homepage: http://wiki.ros.org/rqt_tf_tree
Standards-Version: 3.9.2

Package: ros-indigo-rqt-tf-tree
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-indigo-geometry-msgs, ros-indigo-python-qt-binding (>= 0.2.19), ros-indigo-qt-dotgraph, ros-indigo-rospy, ros-indigo-rqt-graph, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py, ros-indigo-tf2, ros-indigo-tf2-msgs, ros-indigo-tf2-ros
Description: rqt_tf_tree provides a GUI plugin for visualizing the ROS TF frame tree.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rqt-tf-tree//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
